import java.util.ArrayList;
import java.util.Scanner;

public class Main {
    public static void main(String[] args) {
        Scanner upis = new Scanner(System.in);
        int N = upis.nextInt();
        int L = upis.nextInt();
        ArrayList<Integer> H = new ArrayList<>();
        for (int i = 0; i<N;i++){
            int prim = upis.nextInt();
            H.add(prim);
        }
        for (int i = 0;i<N;i++){
            if(L>=H.get(i)){
                System.out.println(i+1);
                break;
            } else if (i+1 == N) {
                System.out.println("-1");
            }
        }
    }
}